Skip to main content
POST
/
v1
/
repositories
/
{repository_id}
/
{commit_hash}
/
runs
Start Code Execution
curl --request POST \
  --url https://api.example.com/v1/repositories/{repository_id}/{commit_hash}/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "analyzed_experiment": {
    "id": "<string>",
    "title": "<string>",
    "description": "<string>",
    "entry_point": "<string>",
    "language": "<string>",
    "inputs": "<string>",
    "outputs": "<string>",
    "parameters": [
      {
        "name": "<string>",
        "value": "<string>",
        "category": "<string>",
        "cli_option": "<string>",
        "choices": [
          "<string>"
        ],
        "description": "<string>"
      }
    ]
  },
  "compute_type": "cpu-general"
}
'
{
  "repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "commit_hash": "<string>",
  "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workflow_id": "",
  "status": "pending",
  "compute_type": "cpu-general",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

repository_id
string<uuid>
required
commit_hash
string
required

Body

application/json
analyzed_experiment
AnalyzedExperiment · object
required

分析フェーズで発見された実験情報。Dockerfile 生成のヒントとして使用。

compute_type
enum<string>
default:cpu-general

計算環境の指定

Available options:
cpu-general,
cpu-memory,
gpu-a10g

Response

Successful Response

実行開始レスポンス(POST)

repository_id
string<uuid>
required
commit_hash
string
required
run_id
string<uuid>
workflow_id
string
default:""

Temporal Workflow ID

status
enum<string>
default:pending
Available options:
pending,
preprocessing,
running,
completed,
failed,
cancelled
compute_type
enum<string>
default:cpu-general
Available options:
cpu-general,
cpu-memory,
gpu-a10g
created_at
string<date-time>